Name: PyPanel
Version: 2.4
Release: alt3.1

Summary: Lightweight panel/taskbar for X11 Window Managers
Group: Graphical desktop/Other
License: GPL
Url: http://pypanel.sourceforge.net/

Source0: %name-%version.tar.gz

Patch0: PyPanel-2.4-alt-spaces.patch
Patch1: PyPanel-2.4-alt-python.patch

Packager: Igor Zubkov <icesik@altlinux.org>

# Automatically added by buildreq on Fri Jul 06 2007
BuildRequires: imlib2-devel libXext-devel libXft-devel python-dev python-modules-encodings python-module-xlib

%description
PyPanel is a lightweight panel/taskbar written in Python and C for X11 window
managers.  It can be easily customized to match any desktop theme or taste.
PyPanel works with EWMH compliant WMs.

The panel displays currently running tasks/applications and can also be
configured to display the current desktop name, date/time, a system tray
(notification area) and application launcher.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%__mkdir_p buildroot

# Unfortunately build and install steps should be done at once
# because otherwise .pyo files won't get into INSTALLED_FILES
# record
CFLAGS="%optflags" %__python setup.py \
        install --optimize=2 \
        --root=`pwd`/buildroot \
        --record=INSTALLED_FILES

%install
%__mkdir_p %buildroot/
%__cp -pr buildroot/usr %buildroot/
unset RPM_PYTHON

%files -f INSTALLED_FILES
%doc README

%changelog
* Wed Jan 30 2008 Grigory Batalov <bga@altlinux.ru> 2.4-alt3.1
- Rebuilt with python-2.5.

* Wed Jan 23 2008 Grigory Batalov <bga@altlinux.ru> 2.4-alt3
- Get python version from sys.version_info.

* Fri Jul 06 2007 Igor Zubkov <icesik@altlinux.org> 2.4-alt2
- fix unresolved
- buildreq

* Thu Jun 08 2006 Igor Zubkov <icesik@altlinux.ru> 2.4-alt1
- Initial build for Sisyphus
